Name:       tintin 
Version:    2.00.6
Release:    1%{?dist}
Summary:    TinTin++, aka tt++, is a free MUD client
Group:      Applications/Internet
License:    GPLv2+
URL:        http://tintin.sourceforge.net/
Source0:    http://garr.dl.sourceforge.net/project/%{name}/TinTin%2B%2B%20Source%20Code/%{version}/%{name}-%{version}.tar.gz
BuildRequires: pcre-devel
BuildRequires: zlib-devel

%description
TinTin++, aka tt++, is a free MUD client for Mac OS X, Linux, and Windows. The
Windows port named WinTin++ (using the PuTTY terminal) is available for
those who do not use Cygwin (A Linux/Unix emulator for Windows) and runs on
Windows XP, Windows Vista, and Windows 7. Besides MUDs, TinTin++ also works
well with MUSH, Rogue, BBS, and Linux servers.

%package doc
Summary:    TinTin++ documentation and examples
Group:      Documentation
License:    GPLv2+
BuildArch:  noarch

%description doc
TinTin++, aka tt++, MUD client documentation and examples.

%prep
%setup -q -n tt

%build
cd src
%configure
make %{?_smp_mflags}

%install
cd src
make install DESTDIR=%{buildroot}
cd ../mods

%files
%defattr(-,root,root,-)
%doc COPYING
%doc CREDITS FAQ INSTALL README
%doc mods
%{_bindir}/tt++

%files doc
%defattr(-,root,root,-)
%doc COPYING
%doc SCRIPTS
%doc docs/*

%changelog
* Mon Mar 14 2011 Petr Sabata <psabata@redhat.com> - 2.00.6-1
- 2.00.6 bump
- Removing obsolete attr definitions and utf8 conversion
- Upstream now supports DESTDIR, removing the DESTDIR patch

* Wed Feb 16 2011 Petr Sabata <psabata@redhat.com> - 2.00.5-4
- Changed documentation files structure, removed chmod's in favor of attr's
- Thanks to William Lima

* Tue Feb 15 2011 Petr Sabata <psabata@redhat.com> - 2.00.5-3
- igr.mods now gets converted to proper utf8

* Tue Feb 15 2011 Petr Sabata <psabata@redhat.com> - 2.00.5-2
- Source corrected
- Description spelling corrected
- TODO and Changelogs packaged, COPYING added to the doc package
- Changed build section, added DESTDIR patch

* Tue Feb 15 2011 Petr Sabata <psabata@redhat.com> - 2.00.5-1
- Package prepared for review
